---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab changelog generate`

Generate a changelog for the repository or project.

```plaintext
glab changelog generate [flags]
```

## Examples

```plaintext
glab changelog generate

```

## Options

```plaintext
      --config-file string          Path of the changelog configuration file in the project's Git repository. Defaults to '.gitlab/changelog_config.yml'.
      --date 2016-03-11T03:45:40Z   Date and time of the release. Uses ISO 8601 (2016-03-11T03:45:40Z) format. Defaults to the current time.
      --from string                 Start of the range of commits (as a SHA) to use when generating the changelog. This commit itself isn't included in the list.
      --to string                   End of the range of commits (as a SHA) to use when generating the changelog. This commit is included in the list. Defaults to the HEAD of the project's default branch.
      --trailer string              The Git trailer to use for including commits. Defaults to 'Changelog'.
  -v, --version string              Version to generate the changelog for. Must follow semantic versioning. Defaults to the version of the local checkout, like using 'git describe'.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
